> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pasca.name.ng/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Business Information



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/einvoice/business/lookup
openapi: 3.1.0
info:
  title: PASCA API
  version: 1.0.0
  description: PASCA eInvoicing API reference
servers:
  - url: https://test-api.pasca.co
    description: Sandbox
  - url: https://api.pasca.co
    description: Production
security:
  - ApiKey: []
    ApiSecret: []
  - APIKey: []
    APISecret: []
tags:
  - name: Resources
  - name: IRN and QR
  - name: Invoices
  - name: Transmission
  - name: Status and retrieval
  - name: Business
  - name: Health
paths:
  /api/v1/einvoice/business/lookup:
    post:
      tags:
        - Business
      summary: Get Business Information
      requestBody:
        required: true
        content:
          application/json:
            example:
              tin: 32637045-0001
      responses:
        '200':
          description: Get Business Information (Success)
          content:
            application/json:
              example:
                code: 200
                data:
                  id: 32e4a85e-253c-4baf-83f1-9f5f8822f6a2
                  status: 200 OK
                  message: TIN Information
                  tin: 32637045-0001
                  taxpayer_name: PASCA TECHNOLOGY LTD
                  address: 21, OGO OLUWA STREET BARIGA, SHOMOLU
                  taxofficer_id: '87'
                  taxofficer_name: MSTO LEKKI
                  taxpayer_type: C
                  rc_number: '8151862'
                  email: info@pasca.co
                  phone: '08168527167'
                  entity_id: 7ce97abf-959d-4389-ac1d-37d9a965f87c
                  app_status: true
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                status: false
                code: 400
                message: Failed to validate invoice
                data: null
                error:
                  id: 5c4c008e-8f1e-4034-a96b-8b352c143da5
                  handler: invoice_actions
                  details: this business does not exist
                  public_message: validation failed
                timestamp: '2025-12-23T14:54:12.477393Z'
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status: false
                code: 401
                message: Unauthorized
                data: null
                error:
                  details: invalid or missing API credentials
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: API-KEY
    ApiSecret:
      type: apiKey
      in: header
      name: API-SECRET
    APIKey:
      type: apiKey
      in: header
      name: API-KEY
    APISecret:
      type: apiKey
      in: header
      name: API-SECRET

````